---
title: KeyboardLayoutMap.size
slug: Web/API/KeyboardLayoutMap/size
tags:
  - API
  - Experimental
  - Keyboard API
  - Keyboard Map
  - KeyboardLayoutMap
  - Property
  - Reference
  - keyboard
  - size
---
<div>{{SeeCompatTable}}{{APIRef("Keyboard API")}}</div>

<p><span class="seoSummary">The <strong><code>size</code></strong> read-only property of the {{domxref("KeyboardLayoutMap")}} interface returns the number of elements in the map. </span></p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">var <var>size</var> = <var>KeyboardLayoutMap</var>.size()</pre>

<h3 id="Value">Value</h3>

<p>A number.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('Keyboard Map','#keyboardlayoutmap-interface','size')}}</td>
   <td>{{Spec2('Keyboard Map')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.KeyboardLayoutMap.size")}}</p>
